Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

## Class CardIndividualTransaction1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_04.CardIndividualTransaction1

    public class CardIndividualTransaction1
    extends java.lang.Object

Java class for CardIndividualTransaction1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CardIndividualTransaction1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AddtlSvc" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}CardPaymentServiceType2Code" minOccurs="0"/>
             <element name="TxCtgy" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}ExternalCardTransactionCategory1Code" minOccurs="0"/>
             <element name="SaleRcncltnId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
             <element name="SaleRefNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
             <element name="SeqNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
             <element name="TxId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}TransactionIdentifier1" minOccurs="0"/>
             <element name="Pdct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Product2" minOccurs="0"/>
             <element name="VldtnDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}ISODate" minOccurs="0"/>
             <element name="VldtnSeqNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected CardPaymentServiceType2Code` `addtlSvc`
`protected Product2` `pdct`
`protected java.lang.String` `saleRcncltnId`
`protected java.lang.String` `saleRefNb`
`protected java.lang.String` `seqNb`
`protected java.lang.String` `txCtgy`
`protected TransactionIdentifier1` `txId`
`protected javax.xml.datatype.XMLGregorianCalendar` `vldtnDt`
`protected java.lang.String` `vldtnSeqNb`

### Constructor Summary

Constructors
`CardIndividualTransaction1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CardPaymentServiceType2Code` `getAddtlSvc()` Gets the value of the addtlSvc property.
`Product2` `getPdct()` Gets the value of the pdct property.
`java.lang.String` `getSaleRcncltnId()` Gets the value of the saleRcncltnId property.
`java.lang.String` `getSaleRefNb()` Gets the value of the saleRefNb property.
`java.lang.String` `getSeqNb()` Gets the value of the seqNb property.
`java.lang.String` `getTxCtgy()` Gets the value of the txCtgy property.
`TransactionIdentifier1` `getTxId()` Gets the value of the txId property.
`javax.xml.datatype.XMLGregorianCalendar` `getVldtnDt()` Gets the value of the vldtnDt property.
`java.lang.String` `getVldtnSeqNb()` Gets the value of the vldtnSeqNb property.
`void` `setAddtlSvc​(CardPaymentServiceType2Code value)` Sets the value of the addtlSvc property.
`void` `setPdct​(Product2 value)` Sets the value of the pdct property.
`void` `setSaleRcncltnId​(java.lang.String value)` Sets the value of the saleRcncltnId property.
`void` `setSaleRefNb​(java.lang.String value)` Sets the value of the saleRefNb property.
`void` `setSeqNb​(java.lang.String value)` Sets the value of the seqNb property.
`void` `setTxCtgy​(java.lang.String value)` Sets the value of the txCtgy property.
`void` `setTxId​(TransactionIdentifier1 value)` Sets the value of the txId property.
`void` `setVldtnDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the vldtnDt property.
`void` `setVldtnSeqNb​(java.lang.String value)` Sets the value of the vldtnSeqNb property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### addtlSvc

    protected CardPaymentServiceType2Code addtlSvc

#### txCtgy

    protected java.lang.String txCtgy

#### saleRcncltnId

    protected java.lang.String saleRcncltnId

#### saleRefNb

    protected java.lang.String saleRefNb

#### seqNb

    protected java.lang.String seqNb

#### txId

    protected TransactionIdentifier1 txId

#### pdct

    protected Product2 pdct

#### vldtnDt

    protected javax.xml.datatype.XMLGregorianCalendar vldtnDt

#### vldtnSeqNb

    protected java.lang.String vldtnSeqNb

### Constructor Detail

#### CardIndividualTransaction1

    public CardIndividualTransaction1()

### Method Detail

#### getAddtlSvc

    public CardPaymentServiceType2Code getAddtlSvc()

Gets the value of the addtlSvc property.

Returns:
  possible object is `CardPaymentServiceType2Code`

#### setAddtlSvc

    public void setAddtlSvc​(CardPaymentServiceType2Code value)

Sets the value of the addtlSvc property.

Parameters:
  `value` - allowed object is `CardPaymentServiceType2Code`

#### getTxCtgy

    public java.lang.String getTxCtgy()

Gets the value of the txCtgy property.

Returns:
  possible object is `String`

#### setTxCtgy

    public void setTxCtgy​(java.lang.String value)

Sets the value of the txCtgy property.

Parameters:
  `value` - allowed object is `String`

#### getSaleRcncltnId

    public java.lang.String getSaleRcncltnId()

Gets the value of the saleRcncltnId property.

Returns:
  possible object is `String`

#### setSaleRcncltnId

    public void setSaleRcncltnId​(java.lang.String value)

Sets the value of the saleRcncltnId property.

Parameters:
  `value` - allowed object is `String`

#### getSaleRefNb

    public java.lang.String getSaleRefNb()

Gets the value of the saleRefNb property.

Returns:
  possible object is `String`

#### setSaleRefNb

    public void setSaleRefNb​(java.lang.String value)

Sets the value of the saleRefNb property.

Parameters:
  `value` - allowed object is `String`

#### getSeqNb

    public java.lang.String getSeqNb()

Gets the value of the seqNb property.

Returns:
  possible object is `String`

#### setSeqNb

    public void setSeqNb​(java.lang.String value)

Sets the value of the seqNb property.

Parameters:
  `value` - allowed object is `String`

#### getTxId

    public TransactionIdentifier1 getTxId()

Gets the value of the txId property.

Returns:
  possible object is `TransactionIdentifier1`

#### setTxId

    public void setTxId​(TransactionIdentifier1 value)

Sets the value of the txId property.

Parameters:
  `value` - allowed object is `TransactionIdentifier1`

#### getPdct

    public Product2 getPdct()

Gets the value of the pdct property.

Returns:
  possible object is `Product2`

#### setPdct

    public void setPdct​(Product2 value)

Sets the value of the pdct property.

Parameters:
  `value` - allowed object is `Product2`

#### getVldtnDt

    public javax.xml.datatype.XMLGregorianCalendar getVldtnDt()

Gets the value of the vldtnDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setVldtnDt

    public void setVldtnDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the vldtnDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getVldtnSeqNb

    public java.lang.String getVldtnSeqNb()

Gets the value of the vldtnSeqNb property.

Returns:
  possible object is `String`

#### setVldtnSeqNb

    public void setVldtnSeqNb​(java.lang.String value)

Sets the value of the vldtnSeqNb property.

Parameters:
  `value` - allowed object is `String`